# CreoleTask

Extends \Task

Handles Creole configuration needed by SQL type tasks.

Use \Project#createTask to register a new Task.

author | Hans Lellelid hans@xmpl.org (Phing)
author | Nick Chalko nick@chalko.com (Ant)
author | Jeff Martin jeff@custommonkey.org (Ant)
author | Michael McCallum gholam@xtra.co.nz (Ant)
author | Tim Stephenson tim.stephenson@sybase.com (Ant)
version | $Id: b020d667f8bb1d09d43607ffaa4ff6e33bd91dbd $
package | phing.tasks.system

### Methods

## Creates a new Connection as using the driver, url, userid and password specified.

    getConnection() : \Connection

The calling method is responsible for closing the connection.

throws | if the UserId/Password/Url is not set or there is no suitable driver or the driver fails to load.

### Response

`\Connection`

the newly created connection.

## Returns the textual description of the task

    getDescription() : string

inherited

### Response

`string`

The text description of the task

## getLoaderMap

    getLoaderMap() : array

### Response

`array`

## Returns the location within the buildfile this task occurs. Used by {@link BuildException} to give detailed error messages.

    getLocation() : \Location

inherited

### Response

`\Location`

The location object describing the position of this task within the buildfile.

## Returns the owning target of this task.

    getOwningTarget() : \Target

inherited

### Response

`\Target`

The target object that owns this task

## Gets the password.

    getPassword() : string

### Response

`string`

## Returns a reference to current project

    getProject() : \Project

inherited

### Response

`\Project`

Reference to current porject object

## Returns a name

    getRegisterSlot(string $slotName) : \RegisterSlot

inherited

### Arguments

#### $slotName

`string`

### Response

`\RegisterSlot`

## Returns the wrapper object for runtime configuration

    getRuntimeConfigurableWrapper() : \RuntimeConfigurable

inherited

### Response

`\RuntimeConfigurable`

The wrapper object used by this task

## Returns the name of task, used only for log messages

    getTaskName() : string

inherited

### Response

`string`

Name of this task

## Returns the name of the task under which it was invoked, usually the XML tagname

    getTaskType() : string

inherited

### Response

`string`

The type of this task (XML Tag)

## Gets the url.

    getUrl() : string

### Response

`string`

## Gets the userId.

    getUserId() : string

### Response

`string`

## Called by the parser to let the task initialize properly.

    init()

inherited

Should throw a BuildException if something goes wrong with the build

This is abstract here, but may not be overloaded by subclasses.

throws |

## Gets the autocommit.

    isAutocommit() : \Returns

### Response

`\Returns`

a boolean

## isCaching

    isCaching( $value)

### Arguments

#### $value

``

## Logs a message with the given priority.

    log(string $msg, integer $level = \Project::MSG_INFO) : void

inherited

### Arguments

#### $msg

`string`

The message to be logged.

#### $level

`integer`

The message's priority at this message should have

## Called by the project to let the task do it's work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running <em>phing target1 target2</em> will run all tasks in target3 twice.

    main()

inherited abstract

Should throw a BuildException if someting goes wrong with the build

This is abstract here. Must be overloaded by real tasks.

## Configure this task if it hasn't been done already.

    maybeConfigure()

inherited

## Perfrom this task

    perform()

inherited

throws |

## Auto commit flag for database connection; optional, default false.

    setAutocommit(boolean $autocommit)

### Arguments

#### $autocommit

`boolean`

The autocommit to set

## Caching loaders / driver. This is to avoid getting an OutOfMemoryError when calling this task multiple times in a row; default: true

    setCaching(boolean $enable)

### Arguments

#### $enable

`boolean`

## Sets a textual description of the task

    setDescription(string $desc)

inherited

### Arguments

#### $desc

`string`

The text describing the task

## Set the Creole driver to be used.

    setDriver(string $driver)

### Arguments

#### $driver

`string`

driver class name

## Sets the location within the buildfile this task occurs. Called by the parser to set location information.

    setLocation(\Location $location)

inherited

### Arguments

#### $location

`\Location`

The location object describing the position of this task within the buildfile.

## Sets the owning target this task belongs to.

    setOwningTarget(\Target $target)

inherited

### Arguments

#### $target

`\Target`

## Sets the password; required.

    setPassword(string $password)

### Arguments

#### $password

`string`

The password to set

## References the project to the current component.

    setProject(\Project $project) : void

inherited

### Arguments

#### $project

`\Project`

The reference to the current project

## Sets the wrapper object this task should use for runtime configurable elements.

    setRuntimeConfigurableWrapper(\RuntimeConfigurable $wrapper)

inherited

### Arguments

#### $wrapper

`\RuntimeConfigurable`

The wrapper object this task should use

## Sets the name of this task for log messages

    setTaskName(string $name) : string

inherited

### Arguments

#### $name

`string`

### Response

`string`

A string representing the name of this task for log

## Sets the type of the task. Usually this is the name of the XML tag

    setTaskType( $name)

inherited

### Arguments

#### $name

``

## Sets the database connection URL; required.

    setUrl(string $url)

### Arguments

#### $url

`string`

## Set the user name for the connection; required.

    setUserid(string $userId)

### Arguments

#### $userId

`string`

## Sets the version string, execute task only if rdbms version match; optional.

    setVersion(string $version)

### Arguments

#### $version

`string`

### Properties

## Used for caching loaders / driver. This is to avoid getting an OutOfMemoryError when calling this task multiple times in a row.

    loaderMap :

static

NOT IMPLEMENTED YET

### Type(s)

``

## caching

    caching :

### Type(s)

``

## Autocommit flag. Default value is false

    autocommit :

### Type(s)

``

## [optional] Classpath to Creole driver to use.

    driver :

param |

### Type(s)

``

## DB url.

    url :

### Type(s)

``

## User name.

    userId :

### Type(s)

``

## Password

    password :

### Type(s)

``

## RDBMS Product needed for this SQL.

    rdbms :

### Type(s)

``

## Owning Target object

    target : \Target

inherited

var |

### Type(s)

`\Target`

## Description of the task

    description : string

inherited

var |

### Type(s)

`string`

## Internal taskname (req)

    taskType : string

inherited

var |

### Type(s)

`string`

## Taskname for logger

    taskName : string

inherited

var |

### Type(s)

`string`

## Stored buildfile location

    location : \Location

inherited

var |

### Type(s)

`\Location`

## Wrapper of the task

    wrapper : \RuntimeConfigurable

inherited

var |

### Type(s)

`\RuntimeConfigurable`

## Holds a reference to the project that a project component (a task, a target, etc.) belongs to

    project : \Project

inherited

var | A reference to the current project instance

### Type(s)

`\Project`